%bcond_without check
%global pypi_name asynctest

%global desc The package asynctest is built on top of the standard unittest module and cuts\
down boilerplate code when testing libraries for asyncio.\
\
Currently, asynctest targets the “selector” model, hence, some features will not\
(yet?) work with Windows’ proactor.

Name: python-%{pypi_name}
Version: 0.13.0
Release: 1%{?dist}
Summary: Enhance the standard unittest package with asyncio libraries testing
License: ASL 2.0
URL: https://github.com/Martiusweb/asynctest/
Source0: %{pypi_source}
# https://github.com/Martiusweb/asynctest/issues/112
Patch0: %{name}-ignore-test-fail.patch
BuildArch: noarch

%description
%{desc}

%package -n python3-%{pypi_name}
Summary: %{summary}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} python3 -m unittest test
%endif

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}

%changelog
* Sun Aug 11 2019 Dominik Mierzejewski <dominik@greysector.net> 0.13.0-1
- update to 0.13.0

* Wed Jan 16 2019 Dominik Mierzejewski <dominik@greysector.net> 0.12.2-4
- reintroduce python_provide macro call
- put python3-setuptools into BR, even though it's redundant now
- shorten Summary: to fit in 80 characters

* Mon Jan 14 2019 Dominik Mierzejewski <dominik@greysector.net> 0.12.2-3
- remove trailing space from description
- rename pname to standard pypi_name and use pypi_source macro

* Fri Jan 11 2019 Dominik Mierzejewski <dominik@greysector.net> 0.12.2-2
- ignore test failing under mock
- remove extra newline from description

* Sat Jan 05 2019 Dominik Mierzejewski <dominik@greysector.net> 0.12.2-1
- initial build
